Create Connector
POST
/api/v1/connectors/
const url = 'https://example.com/api/v1/connectors/';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","target_type":"example","target_config":{},"execution_mode":"batch","schedule_cron":"example","table_update_config":{},"file_arrival_config":{},"created_by":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/connectors/ \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "target_type": "example", "target_config": {}, "execution_mode": "batch", "schedule_cron": "example", "table_update_config": {}, "file_arrival_config": {}, "created_by": "example" }'Create a new connector.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ConnectorCreateRequest
Request to create a new connector.
Note: Compute is always serverless. Change detection is always incremental. Target data model is controlled by the platform, so sync strategies are standardized.
Trigger Types (execution_mode):
- batch: Time-based schedule using cron expression
- table_update: Triggered when source tables are updated
- file_arrival: Triggered when new files arrive in monitored location
- live: Keeps job always running (triggers on completion/failure)
- manual: Triggered manually only
object
name
required
Name
Unique connector name
string
target_type
required
Target Type
Target database type (postgres, mysql, etc.)
string
execution_mode
Execution Mode
Trigger type: batch, table_update, file_arrival, live, or manual
string
created_by
required
Created By
User creating the connector
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ConnectorResponse
Response for a connector.
object
id
required
Id
string
name
required
Name
string
target_type
required
Target Type
string
target_config
required
Target Config
object
key
additional properties
any
execution_mode
required
Execution Mode
string
compute_type
required
Compute Type
string
status
required
Status
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
created_by
required
Created By
string
datasets
Any of:
Array<object>
ConnectorDatasetResponseResponse for a connector dataset.
object
id
required
Id
string
connector_id
required
Connector Id
string
source_dataset
required
Source Dataset
string
target_name
required
Target Name
string
change_detection
required
Change Detection
string
write_strategy
required
Write Strategy
string
primary_keys
Any of:
Array<string>
null
created_at
required
Created At
string format: date-time
created_by
required
Created By
string
null
Examplegenerated
{ "id": "example", "name": "example", "target_type": "example", "target_config": {}, "execution_mode": "example", "schedule_cron": "example", "table_update_config": {}, "file_arrival_config": {}, "compute_type": "example", "cluster_config": {}, "status": "example", "git_commit_id": "example", "git_branch": "example", "workflow_id": "example", "artifacts_path": "example", "error_message": "example", "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z", "created_by": "example", "updated_by": "example", "datasets": [ { "id": "example", "connector_id": "example", "source_dataset": "example", "target_name": "example", "change_detection": "example", "write_strategy": "example", "current_watermark": "example", "current_watermark_time": "2026-04-15T12:00:00Z", "primary_keys": [ "example" ], "custom_config": {}, "created_at": "2026-04-15T12:00:00Z", "created_by": "example" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}